curl --request POST \
--url https://api.klavis.ai/mcp-server/strata/add \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"strataId": "<string>",
"servers": [],
"externalServers": [
{
"name": "<string>",
"url": "<string>",
"headers": {}
}
]
}
'import requests
url = "https://api.klavis.ai/mcp-server/strata/add"
payload = {
"strataId": "<string>",
"servers": [],
"externalServers": [
{
"name": "<string>",
"url": "<string>",
"headers": {}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
strataId: '<string>',
servers: [],
externalServers: [{name: '<string>', url: '<string>', headers: {}}]
})
};
fetch('https://api.klavis.ai/mcp-server/strata/add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
strataId: '<string>',
servers: [],
externalServers: [{name: '<string>', url: '<string>', headers: {}}]
})
};
fetch('https://api.klavis.ai/mcp-server/strata/add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"addedServers": [
"<string>"
],
"addedExternalServers": [
{
"name": "<string>",
"url": "<string>",
"headers": {}
}
],
"oauthUrls": {},
"apiKeyUrls": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Add
Add servers to an existing Strata MCP server.
Note: After adding servers, you need to reconnect the MCP server so that list_tool can be updated with the new servers.
Parameters:
- servers: Can be ‘ALL’ to add all available servers, a list of specific server names, or null to add no servers
- externalServers: Optional list of external MCP servers to validate and add
curl --request POST \
--url https://api.klavis.ai/mcp-server/strata/add \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"strataId": "<string>",
"servers": [],
"externalServers": [
{
"name": "<string>",
"url": "<string>",
"headers": {}
}
]
}
'import requests
url = "https://api.klavis.ai/mcp-server/strata/add"
payload = {
"strataId": "<string>",
"servers": [],
"externalServers": [
{
"name": "<string>",
"url": "<string>",
"headers": {}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
strataId: '<string>',
servers: [],
externalServers: [{name: '<string>', url: '<string>', headers: {}}]
})
};
fetch('https://api.klavis.ai/mcp-server/strata/add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
strataId: '<string>',
servers: [],
externalServers: [{name: '<string>', url: '<string>', headers: {}}]
})
};
fetch('https://api.klavis.ai/mcp-server/strata/add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"addedServers": [
"<string>"
],
"addedExternalServers": [
{
"name": "<string>",
"url": "<string>",
"headers": {}
}
],
"oauthUrls": {},
"apiKeyUrls": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Your Klavis AI API key.
Body
The strata server ID
1List of Klavis integration to add (e.g., 'jira', 'linear'), 'ALL' to add all Klavis integration, or null to add no servers.
Affinity, Airtable, Amplitude, Asana, Attio, Box, Brave Search, Cal.com, Canva, ClickUp, Close, Cloudflare, Coinbase, Confluence, Dialpad, Discord, Doc2markdown, DocuSign, Dropbox, ElevenLabs, Exa, Fathom, Fetch URL, Figma, Fireflies, Firecrawl Deep Research, Firecrawl Web Search, Freshdesk, GitHub, GitLab, Gmail, Gong, Google Calendar, Google Docs, Google Drive, Google Jobs, Google Sheets, Google Forms, Google Cloud, GoogleWorkspaceAtlas, Hacker News, Heygen, HubSpot, Intercom, Jira, Klaviyo, Klavis ReportGen, Linear, LinkedIn, Markdown2doc, Mem0, Microsoft Teams, Mixpanel, Monday, Moneybird, Motion, Notion, OneDrive, Openrouter, Outlook Mail, Outlook Calendar, PagerDuty, Pipedrive, Plai, Postgres, PostHog, Postman, QuickBooks, Resend, Salesforce, SendGrid, Shopify, Slack, Snowflake, Stripe, Supabase, Tavily, Vercel, WhatsApp, WordPress, YouTube, Zendesk, ServiceNow, PayPal, Sentry, Netlify, Hugging Face, Square, Clockwise, Jotform, Honeycomb, Zoho Mail, Sharesight, Weights and Biases, Instagram, MongoDB Optional list of external MCP servers to add with their URLs. Each server will be validated before being added.
Show child attributes
Show child attributes
Response
Successful Response
List of Klavis integration that were added
List of external MCP servers that were added with name and URL
Show child attributes
Show child attributes
Map of connected integration to OAuth URL, supports white labeling if configured
Show child attributes
Show child attributes
Map of connected integration to API key setup URL
Show child attributes
Show child attributes
